@use '../../global/styles-variables' as *;

:host {
	display: block;
	digi-layout-block{
		--digi--layout-block--background--tertiary:#272727;
	}
	.digi-docs-code-examples-tabs {
		background-color: #fff;

		&__heading{
			padding-top: var(--digi--global--spacing--largest-10);
		}
		&__body{
			margin:0 0 var(--digi--global--spacing--largest-2);

			&:empty{
				display:none;
			}
		}
		&__tabs {
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
			max-width: 540px;
			padding-top:var(--digi--layout-container--vertical-padding);
			margin-bottom:calc(0rem - var(--digi--layout-container--vertical-padding));
			@media (min-width: 320px) {
				flex-wrap:nowrap;
			}
		}
		&__tab {
			background-color: #fff;
			display: flex;
			flex-direction: column;
			align-items: center;
			text-align: center;

			padding: var(--digi--global--spacing--largest-2) var(--digi--global--spacing--base);

			border-radius: 0;
			border: none;
			color: var(--digi--global--color--neutral--grayscale--darkest-5);
			box-sizing: border-box;
			min-width: 100px;
			box-sizing: border-box;
			cursor: pointer;

			@media (min-width: $digi--breakpoint--medium) {
				width:100%;
				max-width: 160px;
			}

			&:hover,
			&[aria-selected] {
				/* Variant 1 */
				background: var(--digi--color--background--inverted-1);
				border-top-left-radius: 8px;
				border-top-right-radius: 8px;

				background: #272727;
				color: var(--digi--color--text--inverted);
				svg {
					display: none;
				}

				/* Variant 2 */
				// border-bottom: 8px solid var(--digi--color--border--secondary);

				&:focus-visible {
					// border-color:var(--digi--color--text--inverted);
					box-shadow: inset 0 0 0 2px #fff;
				}
			}

			&:focus-visible {
				// border: 2px solid var(--digi--color--border--secondary);
				outline: none;
				box-shadow: inset 0 0 0 2px #000;
			}

			&-icon {
				display: flex;
				width: 30px;
				height: 30px;
				@media (min-width: 550px) {
					width: 55px;
					height: 55px;
				}
			}
			&-text {
				display: block;
				font-weight: 600;
				width: 100%;
				margin: 20px 0 0;

				// font-size: var(--digi--global--typography--font-size--smaller);
				// @media (min-width: 450px) {
				// 	font-size: var(--digi--global--typography--font-size--large);
				// }
				font-size: 16px;
			}
		}
	}
}
